amoBBS 阿莫电子论坛

 找回密码
 注册
搜索
bottom↓
查看: 568|回复: 4

求教在树莓派上怎么安装PyQt4 PyQwt5 Pyserial

[复制链接]
发表于 2018-2-22 16:29:57 | 显示全部楼层 |阅读模式
先给站长和各位坛友拜年!祝大家新年旺旺旺~

今天开工了,请教一个过节时候没解决的问题。
年前一直看XIVN1987的Python串口代码,觉得想学一下。
正好手头又快树莓派,于是想在树莓派上运行。结果在安装PyQt4 PyQwt5 Pyserial的时候遇到问题。

首先,直接安装PyQt4 ,用wget https://packages.debian.org/zh-cn/stretch/python-qt4提示不能找不到软件。

网上有人说需要安装SIP和QT4依赖库,之后再安装PyQt4。我用图形界面下载SIP和QT4依赖库qt4-dev-tools qt4-doc qt4-qtconfig qt4-demos qt4-designer,用make和make install命令安装成功。
用图形界面下载gpl_x11_4.12.1.tar.gz,在运行sudo make命令时,提示unable to create the C++ codeunable to create the C++ codeunable to create  the C++ codeunable to create the C++ codeunable to create the C++ code
后来尝试安装C++数据库没有安装成功,请教大家有什么办法可以解决。
发表于 2018-3-2 09:01:48 | 显示全部楼层
有现成的安装包,不用自己去make,最常用的pip在树莓派下也能用
https://www.raspberrypi.org/docu ... /software/python.md
 楼主| 发表于 2018-3-2 17:25:42 | 显示全部楼层
liansh2002 发表于 2018-3-2 09:01
有现成的安装包,不用自己去make,最常用的pip在树莓派下也能用
https://www.raspberrypi.org/documentatio ...

多谢回复!
原来的系统好像有问题,重新做系统后安装好了。
现在在学习中,刚开始的例子就有问题,在摸着石头学。
发表于 2018-3-3 10:14:35 来自手机 | 显示全部楼层
树莓派py3不是最新版本,慢一拍
 楼主| 发表于 2018-3-4 08:17:26 | 显示全部楼层
Excellence 发表于 2018-3-3 10:14
树莓派py3不是最新版本,慢一拍

这个倒没发现,网上很多几年前的例程运行都有问题,还在查原因。
友情提示:标题不合格、重复发帖,将会被封锁ID。详情请参考:论坛通告:封锁ID、获得注册邀请码、恢复被封ID、投诉必读
您需要登录后才可以回帖 登录 | 注册

本版积分规则

手机版|Archiver|阿莫电子论坛(原ourAVR/ourDEV) ( 公安备案:44190002001997(交互式论坛) 工信部备案:粤ICP备09047143号 )

GMT+8, 2019-9-20 23:00

阿莫电子论坛, 原"中国电子开发网"

© 2004-2018 www.amobbs.com, 原www.ourdev.cn, 原www.ouravr.com

快速回复 返回顶部 返回列表